com.taosdata.jdbc.ws.entity

## Class FetchBlockHealthCheckResp

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Response
  - - com.taosdata.jdbc.ws.entity.FetchBlockNewResp
    - - com.taosdata.jdbc.ws.entity.FetchBlockHealthCheckResp

    public class FetchBlockHealthCheckResp
    extends FetchBlockNewResp

### Constructor Summary

Constructors
Constructor and Description
`FetchBlockHealthCheckResp(io.netty.buffer.ByteBuf buffer)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FetchBlockHealthCheckResp` `getFailedResp()`
`boolean` `isClusterAlive()`

### Methods inherited from class com.taosdata.jdbc.ws.entity.FetchBlockNewResp

`getBuffer, getCode, getMessage, getTime, getVersion, init, isCompleted, setBuffer, setCompleted`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Response

`getAction, getReqId, setAction, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FetchBlockHealthCheckResp

    public FetchBlockHealthCheckResp(io.netty.buffer.ByteBuf buffer)

### Method Detail

#### isClusterAlive

    public boolean isClusterAlive()

#### getFailedResp

    public static FetchBlockHealthCheckResp getFailedResp()